#include <bits/stdc++.h>

using namespace std;
struct Duz
{
    int indeks_a;
    int indeks_b;
    double ugao;
    double duzina;
};
vector<pair<int, int>> pozicije;
Duz duzi[1500 * (1500 - 1) / 2];
int brojac=0;

void DaLiJeTrapez(vector<int> kombinacija)
{
    for(int i=0; i < kombinacija.size(); i++)
    {
        //cout << kombinacija[i] << " ";
    }
    //cout << endl;
}
void SveKombinacije(vector<int> kombinacija, int i, int n_min, int n_max)
{
    int k = kombinacija.size();
    if (i == k)
    {

        return;
    }

    if (n_max - n_min + 1 < k - i) return;

    kombinacija[i] = n_min;
    SveKombinacije(kombinacija, i+1, n_min+1, n_max);
    SveKombinacije(kombinacija, i, n_min+1, n_max);
}

int main()
{
    int n, x, y;

    cin >> n;


    for(int i=0; i < n; i++)
    {
        cin >> x >> y;
        pozicije.push_back(make_pair(x, y));
    }

    //sort(pozicije)
    n = 1500;

    vector<int> kombinacija(2);
    SveKombinacije(kombinacija, 0, 1, n);
    cout << 3 << endl;
    return 0;
}